org.springframework.remoting.caucho

## Class SimpleHessianServiceExporter

- java.lang.Object
- - org.springframework.remoting.support.RemotingSupport
  - - org.springframework.remoting.support.RemoteExporter
    - - org.springframework.remoting.caucho.HessianExporter
      - - org.springframework.remoting.caucho.SimpleHessianServiceExporter

All Implemented Interfaces:
  com.sun.net.httpserver.HttpHandler, Aware, BeanClassLoaderAware, InitializingBean

    public class SimpleHessianServiceExporter
    extends HessianExporter
    implements com.sun.net.httpserver.HttpHandler

HTTP request handler that exports the specified service bean as Hessian service endpoint, accessible via a Hessian proxy. Designed for Sun's JRE 1.6 HTTP server, implementing the `HttpHandler` interface.

Hessian is a slim, binary RPC protocol. For information on Hessian, see the Hessian website. Note: As of Spring 3.0, this exporter requires Hessian 3.2 or above.

Hessian services exported with this class can be accessed by any Hessian client, as there isn't any special handling involved.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `HessianClientInterceptor`, `HessianProxyFactoryBean`, `SimpleBurlapServiceExporter`, `SimpleHttpInvokerServiceExporter`

### Field Summary

### Fields inherited from class org.springframework.remoting.caucho.HessianExporter

`CONTENT_TYPE_HESSIAN`

### Fields inherited from class org.springframework.remoting.support.RemotingSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`SimpleHessianServiceExporter()`

### Method Summary

Methods
`void` `handle(com.sun.net.httpserver.HttpExchange exchange)` Processes the incoming Hessian request and creates a Hessian response.

### Methods inherited from class org.springframework.remoting.caucho.HessianExporter

`afterPropertiesSet, doInvoke, invoke, prepare, setDebug, setSendCollectionType, setSerializerFactory`

### Methods inherited from class org.springframework.remoting.support.RemoteExporter

`checkService, checkServiceInterface, getExporterName, getProxyForService, getService, getServiceInterface, setInterceptors, setRegisterTraceInterceptor, setService, setServiceInterface`

### Methods inherited from class org.springframework.remoting.support.RemotingSupport

`getBeanClassLoader, overrideThreadContextClassLoader, resetThreadContextClassLoader, setBeanClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleHessianServiceExporter

    public SimpleHessianServiceExporter()

### Method Detail

#### handle

    public void handle(com.sun.net.httpserver.HttpExchange exchange)
                throws IOException

Processes the incoming Hessian request and creates a Hessian response.

Specified by:
  `handle` in interface `com.sun.net.httpserver.HttpHandler`
Throws:
  `IOException`